%define snapver 20050103
%define toolname ninfod
%global	momorel 1

Summary: USAGI IPv6: ICMPv6 node information server.
Name: usagi-%{toolname}
Version: 0.0
Release: 0.%{snapver}.%{momorel}m
License: GPL
Group: System Environment/Daemons
%global md5source0 e0683ec1ac7ac0f3f3d4de94c8737ba7
%NoSource 0 ftp://ftp.linux-ipv6.org/pub/usagi/snap/split/usagi-tool-s%{snapver}.tar.bz2 %{md5source0}
Source1: ninfod.sh
Patch0: usagi-ninfod-momonga.patch
URL: http://www.linux-ipv6.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig

%description
USAGI IPv6: ICMPv6 node information server.

%prep
%setup -q -n usagi
%patch0 -p1

make prepare TARGET=linux26

%build
pushd usagi/%{toolname}
%configure
make
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sbindir}

pushd usagi/%{toolname}
install -m 755 ninfod %{buildroot}%{_sbindir}
popd


install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/%{toolname}

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add %{toolname}

%preun
if [ $1 = 0 ]; then
    service %{toolname} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{toolname}
fi


%files
%defattr(-,root,root)
%{_initscriptdir}/%{toolname}
%{_sbindir}/%{toolname}

%changelog
* Mon Jan 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0-0.20050103.1m)
- update usagi-tools to 20050103
- change TARGET=linux24 to TARGET=linux26
- add Patch0: usagi-ninfod-momonga.patch

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0-0.20030818.2m)
- stop daemon

* Fri Aug 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0-0.20030818.1m)
- update to 20030818

* Mon Aug 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.0-0.20030804.1m)
- update to 20030804

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.0-0.20030120.2m)
  rebuild against openssl 0.9.7a

* Sun May  5 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.0-0.20030120.1m)
- initial version
